szVulanLib = system.GetScriptFolder().."\\LIB\\VulanLib.lua"
IncludeFile(szVulanLib)
-----------------------------------------------------------------
nHongBao = 0 -- Sè  Hång Bao cÇn lÊy
bLocHongBao = 1 -- Cã läc Hång Bao kh«ng?
-----------------------------------------------------------------
-- Danh s¸ch c¸c item sÏ sö dông (Cã thÓ thªm hoÆc bít c¸c item kh¸c)
tbUseItemList  = {
	"Bang Héi thÇn mËt hång bao",
	"Phóc Duyªn Lé (Trung) ",
	"Phóc Duyªn Lé (TiÓu) ",
	"Thiªn s¬n  B¶o Lé ",
	"B¸ch Qu¶ Lé ",
--	"Tiªn Th¶o Lé ",
	"Phóc Duyªn Lé (§¹i) "
}

-- Danh s¸ch c¸c item sÏ ®­îc b¸n sau khi më ra (Cã thÓ thªm hoÆc bít c¸c item kh¸c)
tbSell_ItemList = {
	"Phi Phong",
	"Kim Phong Thanh D­¬ng Kh«i", -- B¸n trang bÞ Kim Phong
	"Kim Phong Kú L©n HuyÕt",
	"Kim Phong §o¹t Hån Ngäc ®¸i",
	"Kim Phong Thiªn Lý Th¶o Th­îng Phi",
	"Kim Phong HËu NghÖ dÉn cung",
	"Kim Phong Tr¹c Liªn Quang",
	"Kim Phong Lan §×nh Ngäc",
	"Kim Phong §ång T­íc Xu©n Th©m",
	"Kim Phong C«ng CÈn Tam Th¸n",
	"Thiªn Hoµng Long Long §µi", -- B¸n trang bÞ Thiªn Hoµng
	"Thiªn Hoµng Long B¹ch Long Tøc",
	"Thiªn Hoµng Long Ngäc Tiªu Diªu",
	"Thiªn Hoµng Long Khèc Thiªn Lý",
	"Thiªn Hoµng Long Hoµng Kim L©n",
	"Thiªn Hoµng Long TrÊn Minh Liªn",
	"Thiªn Hoµng Long Bµn Long c«i",
	"Thiªn Hoµng Long Né Long §ång",
	"Thiªn Hoµng Long Cöu HiÖn chØ",
--	"§Þnh Quèc ¤ Sa Ph¸t Qu¸n", -- B¸n 1 sè trang bÞ §Þnh Quèc
--	"§Þnh Quèc Thanh Sa Tr­êng Sam",
	"§Þnh Quèc Tö §»ng Hé uyÓn",
	"§Þnh Quèc XÝch Quyªn NhuyÔn Ngoa",
	"§Þnh Quèc Ng©n Tµm Yªu ®¸i"
}
-----------------------------------------------------------------
-- Hµm läc Hång Bao
Open_Sell_Items = function()

	for i, v in pairs(tbUseItemList) do
		tbVulanLib.UseAllItem(v)
	end
	
	for i, k in pairs(tbSell_ItemList) do
		tbVulanLib.SellAllItem(k)
	end
end
-----------------------------------------------------------------

-- Hµm lÊy + läc Hång Bao
LayHongBao = function()
	-- NÕu ®· thiÕt lËp sè Hång Bao kh¸c 0 th× sÏ lÊy ®óng sè ®· thiÕt lËp
	if nHongBao > 0 then
		for i = 1, nHongBao do
			tbVulanLib.TalkToNpc("Tæng qu¶n LÔ phÈm ph­êng")
			tbVulanLib.WaitMenu(1)
			menu.ClickIndex(1,0)
			while menu.IsVisible(1) == 0 do  timer.Sleep(10) end
			menu.ClickIndex(1,0)
			timer.Sleep(10)
			if math.fmod(i, 10) == 0 and bLocHongBao == 1 then
				Open_Sell_Items ()
			end
		end
	-- NÕu thiÕt lËp nHongBao = 0 th× sÏ lÊy ®Õn khi ®Çy hµnh trang hoÆc bang héi hÕt Hång Bao)
	else
		local nCount = 0
		while true do
			nCount = nCount + 1
			tbVulanLib.TalkToNpc("Tæng qu¶n LÔ phÈm ph­êng")
			tbVulanLib.WaitMenu(1)
			menu.ClickIndex(1,0)
			while menu.IsVisible(1) == 0 do  timer.Sleep(10) end
			if system.MatchString(menu.GetTitle(1),"Tæng qu¶n LÔ phÈm ph­êng: ThËt ®¸ng tiÕc") == 1  then
				menu.ClickIndex(1,0)
				return
			end	

			menu.ClickIndex(1,0)
			timer.Sleep(10)
			if math.fmod(nCount, 10) == 0 and bLocHongBao == 1  then
				Open_Sell_Items ()
			end
		end
	end
end
-----------------------------------------------------------------

function main()
	-- NÕu ®øng xa NPC "Tæng qu¶n LÔ phÈm ph­êng" th× sÏ di chuyÓn tíi
	player.PathMoveTo(0, 0, "Tæng qu¶n LÔ phÈm ph­êng")
	timer.Sleep(1000)
	while player.GetDoingStatus() ~= 1 do timer.Sleep(100) end

	LayHongBao() -- LÊy + läc Hång Bao
	Open_Sell_Items() --Loc them lan nua
	system.Print("§· hoµn thµnh!")
end